#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.6
visibility:           public
id:                   foldl-1.4.6-FMBkKd7zAN4F5I3Y6LtSkk
key:                  foldl-1.4.6-FMBkKd7zAN4F5I3Y6LtSkk
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  1d5d56d9c58df2d953fd6d8f6b0bd39a
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:       Control.Foldl.Optics Control.Foldl.Internal
import-dirs:          /usr/lib/ghc-8.10.1/site-local/foldl-1.4.6
library-dirs:         /usr/lib/ghc-8.10.1/site-local/foldl-1.4.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/foldl-1.4.6
hs-libraries:         HSfoldl-1.4.6-FMBkKd7zAN4F5I3Y6LtSkk
depends:
    base-4.14.0.0 bytestring-0.10.10.0
    comonad-5.0.6-BuJAa8YIlbLEzdkj9Taxgw containers-0.6.2.1
    contravariant-1.5.2-3rEsfj3YINxBWDceLgF1Rb
    hashable-1.3.0.0-FGLT5ncsVvTFKpMkBcbN1N
    mwc-random-0.14.0.0-1h9zxa80E8XdkfzFUJ3t4
    primitive-0.7.0.1-2k3g9qX0zz16vEv34R307m
    profunctors-5.5.2-9OHD70gO2wCCo88s6lpCkB
    semigroupoids-5.3.4-6dqrKGjA3n51H1G6D2hk1V text-1.2.3.2
    transformers-0.5.6.2
    unordered-containers-0.2.10.0-ICA6ej5I5Fj46rua6lwZRd
    vector-0.12.1.2-2820kU4E8Rq2FpOG9Xf2aE
    vector-builder-0.3.8-Lr3kLWRphl7ASx8WL3gIKo

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

